Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Data Services Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### SUNW.dns

### , dns

- resource type implementation for failover Domain Name Service (DNS)

## Description

The DNS data service for Oracle Solaris Cluster is configured as a resource managed by the Oracle Solaris Cluster Resource Group Manager (RGM). You must set the following properties on a DNS resource.

See `r_properties`(5) for a complete description of the following resource properties.

### Standard Properties

`Network_resources_used (string array)`

  A list of logical-hostname or shared-address network resources upon which this resource has a dependency. This list contains all network-address resources that appear in the properties `Resource_dependencies`, `Resource_dependencies_weak`, `Resource_dependencies_restart`, or `Resource_dependencies_offline_restart`.

  This property is updated automatically by the RGM, based on the setting of the resource-dependencies properties. You do not set this property directly. Instead, use the `Resource_dependencies` property.

  Category

    `Conditional/Optional`

  Default

    `The empty list`

  Tunable

    When disabled

`Resource_dependencies (string array)`

  Specifies a list of resources upon which a resource depends. This list includes any logical-hostname or shared-address network resources that are used by a resource. The default value for this property is null.

  You can specify one or more resource names. Each network resource can contain one or more logical host names. See the `clreslogicalhostname`(1CL) and `clressharedaddress`(1CL) man pages for more information.

  You can specify an alternate kind of dependency by using the `Resource_dependencies_weak`, `Resource_dependencies_restart`, or `Resource_dependencies_offline_restart property` instead of the `Resource_dependencies` property. For more information, see the `r_properties(5)` man page.

  Category

    `Optional`

  Default

    `The empty list`

  Tunable

    Any time

`Port_list`
  Default

    `53/udp`

  Tunable

    At creation

    For DNS resources, the value of `53/udp` is the only recommended value.

`Retry_count`
  Minimum

    `0`

  Maximum

    `10`

  Default

    `2`

  Tunable

    Any time

`Retry_interval`
  Minimum

    `0`

  Maximum

    `3600`

  Default

    `750`

  Tunable

    Any time

`Thorough_probe_interval`
  Minimum

    `0`

  Maximum

    `3600`

  Default

    `60`

  Tunable

    Any time

### Extension Properties

`Confdir_list`

  Type string array. This property is the path name to the configuration directory that contains the file `named.conf` of the DNS resource. You must specify only one value for this property at resource creation time.

`DNS_mode`

  Type string array. This property is the configuration file to be used for starting DNS. The default is `conf`, which means that the DNS is started by using the `named.conf` file located in the directory pointed to by the value of the `Confdir_list` property. A value of `boot` means that DNS is started with the `named.boot` file as the configuration file. You can specify the value of this property at resource creation time only.

`Monitor_retry_count`

  Type integer. Default is `4`. The Minimum value is –1. This property controls the restarts of the fault monitor. It indicates the number of times the fault monitor is restarted by the process monitor facility and corresponds to the `-n` option passed to the `pmfadm`(1M) command. The number of restarts is counted in a specified time window (see the property `Monitor_retry_interval`). Note that this property refers to the restarts of the fault monitor itself, not DNS. The restarts of DNS are controlled by the system-defined properties `Thorough_Probe_Interval` and `Retry_Interval`and`Retry_Count`, as specified in the description of those system-defined properties. See `clresource`(1CL). You can modify the value for this property any time.

`Monitor_retry_interval`

  Type integer. Default is `2`. The Minimum value is –1. Indicates the time (in minutes) over which the failures of the fault monitor are counted and corresponds to the `-t` option passed to the `pmfadm`(1M) command. If the number of times the fault monitor fails exceeds the extension property `Monitor_retry_count`, the fault monitor is not restarted by the Process Monitor Facility. You can modify the value for this property any time.

`Probe_timeout`

  Type integer. Default is `120`. The Minimum value is 15. Indicates the time-out value (in seconds) used by the fault monitor to probe a DNS instance. You can modify the value for this property any time.

## Examples

Example 1 Initiating a Failover DNS Resource

For this example to work, you must first install the data service. This example instantiates a failover DNS resource named `dnss` in a resource group named `dns-rg`. `dns-rg` is assumed to contain at least one `LogicalHostname` resource, which identifies the logical hostnames associated with the resource group.

    example# clresourcetype register SUNW.dns
    example# clresource create -g dns-rg –t SUNW.dns \
    -p Confdir_list=/global/dns dnss

In this example, the DNS resource created is named `dnss`, which listens on port 53, with a corresponding configuration directory path name `/global/dns`. The configuration file that is used for starting the DNS resource is `named.conf`, located under `/global/dns`.

Example 2 Instantiating a Failover DNS Resource

For this example to work, the data service must first be installed. This example instantiates a failover DNS resource named `dns` in a resource group named `dns-rg`, which uses the `LogicalHostname` resource `lh-specific`.

    example# clresourcetype register SUNW.dns
    example# clresource create –g dns-rg –t SUNW.dns \
    -p Confdir_list=/global/dns \
    -p Network_resources_used=lh-specific dns-lh

In this example, the `LogicalHostname` resource `lh-specific` must be a resource in the `dns-rg` resource group.

## Attributes

See `attributes`(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
--- | ---
Availability | `ha-cluster/data-service/dns`

## See Also

`named`(1M), `pmfadm`(1M), `scha_resource_get`(3HA), `clresourcetype`(1CL), `clresourcegroup`(1CL), `named.conf`(4), `attributes`(5), `r_properties`(5)

Oracle Solaris Cluster Data Service for DNS Guide

Copyright © 2000, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |